klay_getBlockReceipts
POST
Retrieves receipts for a block by block hash.
🚧 Is the response taking a long time? Response time may vary based on the number of transactions in the block!
klay_getBlockReceipts retrieves execution results (receipts) for all transactions in a block at once. When there are many transactions or complex execution results, response time may be delayed.
For faster responses, consider the following recommendations:
- If you need only specific transactions, use klay_getTransactionReceipt to query individual transaction execution results.
param[0]
blockNumberOrHashOrTagstringrequired
Use one of block hash, block number, or block tag to specify the block.- Block number: Hexadecimal string (e.g. "0x1")
- Block hash: 64-digit hexadecimal string (e.g. "0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48")]
- Block tag: Enum string (e.g. "latest", "earliest", "pending")
earliest: The oldest available block on the chain.finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.safe: A recent block considered safe by the network (immune to reorgs).latest: The most recent block on the chain (may be subject to reorgs).pending: The next block to be mined, including pending transactions in the mempool.
Responses
blockHashstring
Hash of the block containing this transactionblockNumberstring
Block number containing this transaction (hex)contractAddressstring
Contract address created if this was a contract creation transaction, otherwise nulleffectiveGasPricestring
Actual gas price paid (hex, in peb)fromstring
Sender address of the transactiongasstring
Gas limit set for the transaction (hex)gasPricestring
Gas price (hex, in peb)gasUsedstring
Gas used by this specific transaction (hex)List of event logs emitted during transaction execution
addressstring
The address of the contract that emitted this logtopicsarray
Array of event signature hash and indexed parameters (up to 4 entries)datastring
Non-indexed event parameter data (hex encoded)blockNumberstring
Block number containing this log (hex)transactionHashstring
Hash of the transaction that created this logtransactionIndexstring
Transaction position index within the block (hex)blockHashstring
Hash of the block containing this loglogIndexstring
Log position index within the block (hex)removedboolean
True if the log was removed due to a chain reorganizationlogsBloomstring
Bloom filter for event log search (2048 bits, hex)noncestring
Sender nonce (hex)senderTxHashstring
Transaction hash containing only the sender signature, for fee-delegated transactionsArray of transaction signatures
Vstring
ECDSA signature v value (hex)Rstring
ECDSA signature r value (hex)Sstring
ECDSA signature s value (hex)statusstring
Transaction execution result (0x1=success, 0x0=failure)tostring
Recipient address. Null for contract creation transactionstransactionHashstring
Transaction hashtransactionIndexstring
Transaction position index within the block (hex)typestring
Transaction type (hex string)typeIntinteger
Transaction type as integercodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "klay_getBlockReceipts","params": ["latest"]}'